tigase.workgroupqueues.scheduler

## Enum Agent.State

- java.lang.Object
- - java.lang.Enum<Agent.State>
  - - tigase.workgroupqueues.scheduler.Agent.State

- All Implemented Interfaces:
    Serializable, Comparable<Agent.State>
  Enclosing class:
    Agent

      public static enum Agent.State
      extends Enum<Agent.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `away` The agent is busy (possibly with other chats).
    `chat` Indicates the agent is available to chat (is idle and ready to handle more conversations).
    `dnd` The agent is busy and should not be disturbed.
    `xa` The agent is physically away from their terminal and should not have a chat routed to them.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Agent.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Agent.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### chat

          public static final Agent.State chat

      Indicates the agent is available to chat (is idle and ready to handle more conversations).

    - #### away

          public static final Agent.State away

      The agent is busy (possibly with other chats). The agent may still be able to handle other chats but an offer rejection is likely.

    - #### xa

          public static final Agent.State xa

      The agent is physically away from their terminal and should not have a chat routed to them.

    - #### dnd

          public static final Agent.State dnd

      The agent is busy and should not be disturbed. However, special case, or extreme urgency chats may still be offered to the agent although offer rejection or offer timeouts are highly likely.

  - ### Method Detail

    - #### values

          public static Agent.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Agent.State c : Agent.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Agent.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.